//
//  GameOverLayer.m
//  BandBandJump
//
//  Created by Bao Weiwei on 10/12/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "GameOverLayer.h"
#import "MenuLayer.h"

@implementation GameOverLayer

//@synthesize Delegate = mDelegate;

- (void) dealloc
{
	//[mDelegate release];
	[super dealloc];
}

-(id) init
{
	self = [super init];
	
	if (self)
	{			
		Sprite *bg3 = [Sprite spriteWithFile:@"gameover.png"];
		bg3.position = ccp(WIN_WIDTH/2, WIN_HEIGHT/2);
		[self addChild:bg3 z:0 tag:0];
		
		MenuItem *backToMenu = [MenuItemImage itemFromNormalImage:@"menu_story mode_1.png"
													selectedImage:@"menu_story mode_2.png"
														   target:self selector:@selector(backToMainMenu:)];//diable image	
		MenuItem *submit = [MenuItemImage itemFromNormalImage:@"menu_scores_1.png"
												selectedImage:@"menu_scores_2.png" 
													   target:self selector:@selector(submitScore:)];
		Menu* menu = [Menu menuWithItems:backToMenu, submit, nil];	
		[menu alignItemsHorizontally];
		backToMenu.position = ccp(backToMenu.position.x+360,backToMenu.position.y);
		//submit.position = ccp(scores.position.x + 18, scores.position.y);
		menu.position = ccp(0,WIN_HEIGHT/2-130);//-130-3*WIN_HEIGHT/2);
		[self addChild:menu z:1 tag:1];
		
	}
	
	return self;
}

- (void) backToMainMenu:(id) sender
{
	[[SimpleAudioEngine sharedEngine] playEffect:kButtonSE];
	[[Director sharedDirector] popScene];
}

- (void) submitScore:(id) sender
{
	[[SimpleAudioEngine sharedEngine] playEffect:kButtonSE];
}


@end
