//
//  MIP.mm
//  Untitled
//
//  Created by zhaohao on 09-9-15.
//  Copyright 2009 mars monkeys. All rights reserved.
//

#import "MIP.h"


@implementation MIP

@synthesize userMediaItemCollection;
@synthesize Delegate = mDelegate;

- (id) init
{
	[super init];
	
	return self;
}

- (void) utSendEMailTo:(NSArray*)receiver cc:(NSArray*)ccer subject:(NSString*)subject
				  body:(NSString*)body isHTML:(BOOL)isHTML
{
	MFMailComposeViewController *controller = [[MFMailComposeViewController alloc] init];
	controller.mailComposeDelegate = self;	
	[controller setToRecipients:receiver];
	[controller setCcRecipients:ccer];
	[controller setSubject:subject];	
	[controller setMessageBody:body isHTML:isHTML];
	[self presentModalViewController:controller animated:YES];
	[controller release];
}

- (void)mailComposeController:(MFMailComposeViewController*)controller
		  didFinishWithResult:(MFMailComposeResult)result error:(NSError*)error
{
	//[self becomeFirstResponder];
	[self dismissModalViewControllerAnimated:YES];
	if ((result == MFMailComposeResultSent)||(result == MFMailComposeResultFailed))
	{
		if ([mDelegate respondsToSelector:@selector(utEmailSendFinished)])
			[mDelegate utEmailSendFinished];		
	}
	else
	{
		if ([mDelegate respondsToSelector:@selector(utEmailSendCancelled)])
			[mDelegate utEmailSendCancelled];	
	}
}

@end
